package com.ejie.ab63.model;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import com.ejie.x38.serialization.JsonBigDecimalDeserializer;
import com.ejie.x38.serialization.JsonBigDecimalSerializer;
import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

/**
 * Ab6321s00  
 * 
 *  
 */

public class EstablecimientoData implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idEstablecimiento;
	private Long fechaAnoConstruccion;
	private Long fechaAnoRenovacion;
	private Integer derechoCocina;
	private Integer servicioComedor;
	private Long numSalones;
	private Long numSalonesComedor;
	private Long numComedores;
	private Long numBanosGenerales;
	private Long numConjuntos;
	private Long numEstudios;
	private Long numHabDoble;
	private Long numHabIndividuales;
	private Long numMaximoSupletorias;
	private Long numPlazas;
	private Integer edificioCatalogado;
	private Long numHabMas4;
	private Long numHabMenos4;
	private Integer comparteViviendas;
	private Long numHabDobleCs;
	private Long numApartamentos;
	private Long numSuites;
	private Integer comparteInstal;
	private String numInstalComparte;
	private BigDecimal numSupAcampada;
	private Integer bar;
	private Integer restaurante;
	private Integer piscina;
	private Long numTotParcelas;
	private Long numParcelasAnf;
	private Long numParcelasAf;
	private Long numParcelasSa;
	private Integer indicadorIa;
	private Date fechaControlIa;
	private String requisitos;
	private Long numControl;
	private Date fechaAntControl;
	private String numHabitaciones;
	private String numResidentesPerm;
	private String numDormitoriosUsuarios;
	private String numDormitoriosResidentes;
	private BigDecimal superficieTotal;
	private String supTotHabitac;
	private BigDecimal supRestoDepen;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private Date fechaUltmodificacion;
	private String usuarioUltmodificacion;
	private List<HabitacionVivienda> listHabitacionVivienda = new ArrayList<HabitacionVivienda>();
	private List<Alojamiento> listAlojamiento = new ArrayList<Alojamiento>();
	private List<Aseo> listAseo = new ArrayList<Aseo>();
	private List<Habitacion> listHabitacion = new ArrayList<Habitacion>();
	private List<Suite> listSuite = new ArrayList<Suite>();
	private List<Parcela> listParcela = new ArrayList<Parcela>();
	private List<OtrasDependenciasVivienda> listOtrasDependenciasVivienda = new ArrayList<OtrasDependenciasVivienda>();
	private List<SalonComedor> listSalonComedor = new ArrayList<SalonComedor>();
	private List<ZonaOcio> listZonaOcio = new ArrayList<ZonaOcio>();
	private DispensaEstablecimiento dispensaEstablecimiento;
	private Integer disponeCocina;
	private Integer disponeSalon;
	private BigDecimal numSupCocina;

	/**
	 * Method 'Ab6321s00'.
	 */
	public EstablecimientoData() {
	}

	/**
	 * Method 'Ab6321s00'.
	 * 
	 * @param idEstablecimiento
	 *            Integer
	 */
	public EstablecimientoData(Integer idEstablecimiento) {
		this.idEstablecimiento = idEstablecimiento;
	}

	/**
	 * Method 'Ab6321s00'.
	 * 
	 * @param idEstablecimiento
	 *            Integer
	 * @param fechaAnoConstruccion
	 *            Long
	 * @param fechaAnoRenovacion
	 *            Long
	 * @param derechoCocina
	 *            Integer
	 * @param servicioComedor
	 *            Integer
	 * @param numSalones
	 *            Long
	 * @param numSalonesComedor
	 *            Long
	 * @param numComedores
	 *            Long
	 * @param numBanyosGenerales
	 *            Long
	 * @param numConjuntos
	 *            Long
	 * @param numEstudios
	 *            Long
	 * @param numHabDoble
	 *            Long
	 * @param numHabIndividuales
	 *            Long
	 * @param numMaximoSupletorias
	 *            Long
	 * @param numPlazas
	 *            Long
	 * @param edificioCatalogado
	 *            Integer
	 * @param numHabMas4
	 *            Long
	 * @param numHabMenos4
	 *            Long
	 * @param comparteViviendas
	 *            Integer
	 * @param numHabDobleCs
	 *            Long
	 * @param numApartamentos
	 *            Long
	 * @param numSuites
	 *            Long
	 * @param comparteInstal
	 *            Integer
	 * @param numInstalComparte
	 *            String
	 * @param numSupAcampada
	 *            BigDecimal
	 * @param bar
	 *            Integer
	 * @param restaurante
	 *            Integer
	 * @param piscina
	 *            Integer
	 * @param numTotParcelas
	 *            Long
	 * @param numParcelasAnf
	 *            Long
	 * @param numParcelasAf
	 *            Long
	 * @param numParcelasSa
	 *            Long
	 * @param indicadorIa
	 *            Integer
	 * @param fechaControlIa
	 *            Date
	 * @param requisitos
	 *            String
	 * @param numControl
	 *            Long
	 * @param fechaAntControl
	 *            Date
	 * @param numHabitaciones
	 *            String
	 * @param numResidentesPerm
	 *            String
	 * @param supTotHabitac
	 *            String
	 * @param supRestoDepen
	 *            String
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 * @param fechaUltmodificacion
	 *            Date
	 * @param usuarioUltmodificacion
	 *            String
	 */
	public EstablecimientoData(Integer idEstablecimiento, Long fechaAnoConstruccion, Long fechaAnoRenovacion,
			Integer derechoCocina, Integer servicioComedor, Long numSalones, Long numSalonesComedor, Long numComedores,
			Long numBanyosGenerales, Long numConjuntos, Long numEstudios, Long numHabDoble, Long numHabIndividuales,
			Long numMaximoSupletorias, Long numPlazas, Integer edificioCatalogado, Long numHabMas4, Long numHabMenos4,
			Integer comparteViviendas, Long numHabDobleCs, Long numApartamentos, Long numSuites, Integer comparteInstal,
			String numInstalComparte, BigDecimal numSupAcampada, Integer bar, Integer restaurante, Integer piscina,
			Long numTotParcelas, Long numParcelasAnf, Long numParcelasAf, Long numParcelasSa, Integer indicadorIa,
			Date fechaControlIa, String requisitos, Long numControl, Date fechaAntControl, String numHabitaciones,
			String numResidentesPerm, String supTotHabitac, BigDecimal supRestoDepen, Date fechaRegistro,
			String usuarioRegistro, Date fechaUltmodificacion, String usuarioUltmodificacion, Integer disponeCocina,
			Integer disponeSalon, String numDormitoriosUsuarios, String numDormitoriosResidentes,
			DispensaEstablecimiento dispensaEstablecimiento, BigDecimal superficieTotal, BigDecimal numSupCocina) {
		this.idEstablecimiento = idEstablecimiento;
		this.fechaAnoConstruccion = fechaAnoConstruccion;
		this.fechaAnoRenovacion = fechaAnoRenovacion;
		this.derechoCocina = derechoCocina;
		this.servicioComedor = servicioComedor;
		this.numSalones = numSalones;
		this.numSalonesComedor = numSalonesComedor;
		this.numComedores = numComedores;
		this.numBanosGenerales = numBanyosGenerales;
		this.numConjuntos = numConjuntos;
		this.numEstudios = numEstudios;
		this.numHabDoble = numHabDoble;
		this.numHabIndividuales = numHabIndividuales;
		this.numMaximoSupletorias = numMaximoSupletorias;
		this.numPlazas = numPlazas;
		this.edificioCatalogado = edificioCatalogado;
		this.numHabMas4 = numHabMas4;
		this.numHabMenos4 = numHabMenos4;
		this.comparteViviendas = comparteViviendas;
		this.numHabDobleCs = numHabDobleCs;
		this.numApartamentos = numApartamentos;
		this.numSuites = numSuites;
		this.comparteInstal = comparteInstal;
		this.numInstalComparte = numInstalComparte;
		this.numSupAcampada = numSupAcampada;
		this.bar = bar;
		this.restaurante = restaurante;
		this.piscina = piscina;
		this.numTotParcelas = numTotParcelas;
		this.numParcelasAnf = numParcelasAnf;
		this.numParcelasAf = numParcelasAf;
		this.numParcelasSa = numParcelasSa;
		this.indicadorIa = indicadorIa;
		this.fechaControlIa = fechaControlIa;
		this.requisitos = requisitos;
		this.numControl = numControl;
		this.fechaAntControl = fechaAntControl;
		this.numHabitaciones = numHabitaciones;
		this.numResidentesPerm = numResidentesPerm;
		this.supTotHabitac = supTotHabitac;
		this.supRestoDepen = supRestoDepen;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
		this.fechaUltmodificacion = fechaUltmodificacion;
		this.usuarioUltmodificacion = usuarioUltmodificacion;
		this.disponeCocina = disponeCocina;
		this.disponeSalon = disponeSalon;
		this.dispensaEstablecimiento = dispensaEstablecimiento;
		this.numDormitoriosUsuarios = numDormitoriosUsuarios;
		this.numDormitoriosResidentes = numDormitoriosResidentes;
		this.superficieTotal = superficieTotal;
		this.numSupCocina = numSupCocina;
	}

	/**
	 * Method 'Ab6321s00'.
	 * 
	 * @param idEstablecimiento
	 *            Integer
	 * @param fechaAnoConstruccion
	 *            Long
	 * @param fechaAnoRenovacion
	 *            Long
	 * @param derechoCocina
	 *            Integer
	 * @param servicioComedor
	 *            Integer
	 * @param numSalones
	 *            Long
	 * @param numSalonesComedor
	 *            Long
	 * @param numComedores
	 *            Long
	 * @param numBanyosGenerales
	 *            Long
	 * @param numConjuntos
	 *            Long
	 * @param numEstudios
	 *            Long
	 * @param numHabDoble
	 *            Long
	 * @param numHabIndividuales
	 *            Long
	 * @param numMaximoSupletorias
	 *            Long
	 * @param numPlazas
	 *            Long
	 * @param edificioCatalogado
	 *            Integer
	 * @param numHabMas4
	 *            Long
	 * @param numHabMenos4
	 *            Long
	 * @param comparteViviendas
	 *            Integer
	 * @param numHabDobleCs
	 *            Long
	 * @param numApartamentos
	 *            Long
	 * @param numSuites
	 *            Long
	 * @param comparteInstal
	 *            Integer
	 * @param numInstalComparte
	 *            String
	 * @param numSupAcampada
	 *            BigDecimal
	 * @param bar
	 *            Integer
	 * @param restaurante
	 *            Integer
	 * @param piscina
	 *            Integer
	 * @param numTotParcelas
	 *            Long
	 * @param numParcelasAnf
	 *            Long
	 * @param numParcelasAf
	 *            Long
	 * @param numParcelasSa
	 *            Long
	 * @param indicadorIa
	 *            Integer
	 * @param fechaControlIa
	 *            Date
	 * @param requisitos
	 *            String
	 * @param numControl
	 *            Long
	 * @param fechaAntControl
	 *            Date
	 * @param numHabitaciones
	 *            String
	 * @param numResidentesPerm
	 *            String
	 * @param supTotHabitac
	 *            String
	 * @param supRestoDepen
	 *            String
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 * @param fechaUltmodificacion
	 *            Date
	 * @param usuarioUltmodificacion
	 *            String
	 * @param ab6341s00s
	 *            List<Ab6341s00>
	 * @param ab6323s00s
	 *            List<Ab6323s00>
	 * @param ab6325s00s
	 *            List<Ab6325s00>
	 * @param ab6322s00s
	 *            List<Ab6322s00>
	 * @param ab6331s00s
	 *            List<Ab6331s00>
	 * @param ab6334s00s
	 *            List<Ab6334s00>
	 * @param ab6342s00s
	 *            List<Ab6342s00>
	 * @param ab6327s00s
	 *            List<Ab6327s00>
	 */
	public EstablecimientoData(Integer idEstablecimiento, Long fechaAnoConstruccion, Long fechaAnoRenovacion,
			Integer derechoCocina, Integer servicioComedor, Long numSalones, Long numSalonesComedor, Long numComedores,
			Long numBanyosGenerales, Long numConjuntos, Long numEstudios, Long numHabDoble, Long numHabIndividuales,
			Long numMaximoSupletorias, Long numPlazas, Integer edificioCatalogado, Long numHabMas4, Long numHabMenos4,
			Integer comparteViviendas, Long numHabDobleCs, Long numApartamentos, Long numSuites, Integer comparteInstal,
			String numInstalComparte, BigDecimal numSupAcampada, Integer bar, Integer restaurante, Integer piscina,
			Long numTotParcelas, Long numParcelasAnf, Long numParcelasAf, Long numParcelasSa, Integer indicadorIa,
			Date fechaControlIa, String requisitos, Long numControl, Date fechaAntControl, String numHabitaciones,
			String numResidentesPerm, String supTotHabitac, BigDecimal supRestoDepen, Date fechaRegistro,
			String usuarioRegistro, Date fechaUltmodificacion, String usuarioUltmodificacion,
			List<HabitacionVivienda> ab6341s00s, List<Alojamiento> ab6323s00s, List<Aseo> ab6325s00s,
			List<Habitacion> ab6322s00s, List<Suite> ab6331s00s, List<Parcela> ab6334s00s,
			List<OtrasDependenciasVivienda> ab6342s00s, List<SalonComedor> ab6327s00s, List<ZonaOcio> ab6333s00s) {

		this.idEstablecimiento = idEstablecimiento;
		this.fechaAnoConstruccion = fechaAnoConstruccion;
		this.fechaAnoRenovacion = fechaAnoRenovacion;
		this.derechoCocina = derechoCocina;
		this.servicioComedor = servicioComedor;
		this.numSalones = numSalones;
		this.numSalonesComedor = numSalonesComedor;
		this.numComedores = numComedores;
		this.numBanosGenerales = numBanyosGenerales;
		this.numConjuntos = numConjuntos;
		this.numEstudios = numEstudios;
		this.numHabDoble = numHabDoble;
		this.numHabIndividuales = numHabIndividuales;
		this.numMaximoSupletorias = numMaximoSupletorias;
		this.numPlazas = numPlazas;
		this.edificioCatalogado = edificioCatalogado;
		this.numHabMas4 = numHabMas4;
		this.numHabMenos4 = numHabMenos4;
		this.comparteViviendas = comparteViviendas;
		this.numHabDobleCs = numHabDobleCs;
		this.numApartamentos = numApartamentos;
		this.numSuites = numSuites;
		this.comparteInstal = comparteInstal;
		this.numInstalComparte = numInstalComparte;
		this.numSupAcampada = numSupAcampada;
		this.bar = bar;
		this.restaurante = restaurante;
		this.piscina = piscina;
		this.numTotParcelas = numTotParcelas;
		this.numParcelasAnf = numParcelasAnf;
		this.numParcelasAf = numParcelasAf;
		this.numParcelasSa = numParcelasSa;
		this.indicadorIa = indicadorIa;
		this.fechaControlIa = fechaControlIa;
		this.requisitos = requisitos;
		this.numControl = numControl;
		this.fechaAntControl = fechaAntControl;
		this.numHabitaciones = numHabitaciones;
		this.numResidentesPerm = numResidentesPerm;
		this.supTotHabitac = supTotHabitac;
		this.supRestoDepen = supRestoDepen;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
		this.fechaUltmodificacion = fechaUltmodificacion;
		this.usuarioUltmodificacion = usuarioUltmodificacion;
		this.listHabitacionVivienda = ab6341s00s;
		this.listAlojamiento = ab6323s00s;
		this.listAseo = ab6325s00s;
		this.listHabitacion = ab6322s00s;
		this.listSuite = ab6331s00s;
		this.listParcela = ab6334s00s;
		this.listOtrasDependenciasVivienda = ab6342s00s;
		this.listSalonComedor = ab6327s00s;
		this.listZonaOcio = ab6333s00s;
	}

	/**
	 * Method 'getIdEstablecimiento'.
	 *
	 * @return Integer
	 */

	public Integer getIdEstablecimiento() {
		return this.idEstablecimiento;
	}

	/**
	 * Method 'setIdEstablecimiento'.
	 *
	 * @param idEstablecimiento
	 *            Integer
	 * @return
	 */

	public void setIdEstablecimiento(Integer idEstablecimiento) {
		this.idEstablecimiento = idEstablecimiento;
	}

	/**
	 * Method 'getFechaAnoConstruccion'.
	 *
	 * @return Long
	 */

	public Long getFechaAnoConstruccion() {
		return this.fechaAnoConstruccion;
	}

	/**
	 * Method 'setFechaAnoConstruccion'.
	 *
	 * @param fechaAnoConstruccion
	 *            Long
	 * @return
	 */

	public void setFechaAnoConstruccion(Long fechaAnoConstruccion) {
		this.fechaAnoConstruccion = fechaAnoConstruccion;
	}

	/**
	 * Method 'getFechaAnoRenovacion'.
	 *
	 * @return Long
	 */

	public Long getFechaAnoRenovacion() {
		return this.fechaAnoRenovacion;
	}

	/**
	 * Method 'setFechaAnoRenovacion'.
	 *
	 * @param fechaAnoRenovacion
	 *            Long
	 * @return
	 */

	public void setFechaAnoRenovacion(Long fechaAnoRenovacion) {
		this.fechaAnoRenovacion = fechaAnoRenovacion;
	}

	/**
	 * Method 'getDerechoCocina'.
	 *
	 * @return Integer
	 */

	public Integer getDerechoCocina() {
		return this.derechoCocina;
	}

	/**
	 * Method 'setDerechoCocina'.
	 *
	 * @param derechoCocina
	 *            Integer
	 * @return
	 */

	public void setDerechoCocina(Integer derechoCocina) {
		this.derechoCocina = derechoCocina;
	}

	/**
	 * Method 'getServicioComedor'.
	 *
	 * @return Integer
	 */

	public Integer getServicioComedor() {
		return this.servicioComedor;
	}

	/**
	 * Method 'setServicioComedor'.
	 *
	 * @param servicioComedor
	 *            Integer
	 * @return
	 */

	public void setServicioComedor(Integer servicioComedor) {
		this.servicioComedor = servicioComedor;
	}

	/**
	 * Method 'getNumSalones'.
	 *
	 * @return Long
	 */

	public Long getNumSalones() {
		return this.numSalones;
	}

	/**
	 * Method 'setNumSalones'.
	 *
	 * @param numSalones
	 *            Long
	 * @return
	 */

	public void setNumSalones(Long numSalones) {
		this.numSalones = numSalones;
	}

	/**
	 * Method 'getNumSalonesComedor'.
	 *
	 * @return Long
	 */

	public Long getNumSalonesComedor() {
		return this.numSalonesComedor;
	}

	/**
	 * Method 'setNumSalonesComedor'.
	 *
	 * @param numSalonesComedor
	 *            Long
	 * @return
	 */

	public void setNumSalonesComedor(Long numSalonesComedor) {
		this.numSalonesComedor = numSalonesComedor;
	}

	/**
	 * Method 'getNumComedores'.
	 *
	 * @return Long
	 */

	public Long getNumComedores() {
		return this.numComedores;
	}

	/**
	 * Method 'setNumComedores'.
	 *
	 * @param numComedores
	 *            Long
	 * @return
	 */

	public void setNumComedores(Long numComedores) {
		this.numComedores = numComedores;
	}

	/**
	 * Method 'getNumBanyosGenerales'.
	 *
	 * @return Long
	 */

	public Long getNumBanosGenerales() {
		return this.numBanosGenerales;
	}

	/**
	 * Method 'setNumBanyosGenerales'.
	 *
	 * @param numBanyosGenerales
	 *            Long
	 * @return
	 */

	public void setNumBanosGenerales(Long numBanyosGenerales) {
		this.numBanosGenerales = numBanyosGenerales;
	}

	/**
	 * Method 'getNumConjuntos'.
	 *
	 * @return Long
	 */

	public Long getNumConjuntos() {
		return this.numConjuntos;
	}

	/**
	 * Method 'setNumConjuntos'.
	 *
	 * @param numConjuntos
	 *            Long
	 * @return
	 */

	public void setNumConjuntos(Long numConjuntos) {
		this.numConjuntos = numConjuntos;
	}

	/**
	 * Method 'getNumEstudios'.
	 *
	 * @return Long
	 */

	public Long getNumEstudios() {
		return this.numEstudios;
	}

	/**
	 * Method 'setNumEstudios'.
	 *
	 * @param numEstudios
	 *            Long
	 * @return
	 */

	public void setNumEstudios(Long numEstudios) {
		this.numEstudios = numEstudios;
	}

	/**
	 * Method 'getNumHabDoble'.
	 *
	 * @return Long
	 */

	public Long getNumHabDoble() {
		return this.numHabDoble;
	}

	/**
	 * Method 'setNumHabDoble'.
	 *
	 * @param numHabDoble
	 *            Long
	 * @return
	 */

	public void setNumHabDoble(Long numHabDoble) {
		this.numHabDoble = numHabDoble;
	}

	/**
	 * Method 'getNumHabIndividuales'.
	 *
	 * @return Long
	 */

	public Long getNumHabIndividuales() {
		return this.numHabIndividuales;
	}

	/**
	 * Method 'setNumHabIndividuales'.
	 *
	 * @param numHabIndividuales
	 *            Long
	 * @return
	 */

	public void setNumHabIndividuales(Long numHabIndividuales) {
		this.numHabIndividuales = numHabIndividuales;
	}

	/**
	 * Method 'getNumMaximoSupletorias'.
	 *
	 * @return Long
	 */

	public Long getNumMaximoSupletorias() {
		return this.numMaximoSupletorias;
	}

	/**
	 * Method 'setNumMaximoSupletorias'.
	 *
	 * @param numMaximoSupletorias
	 *            Long
	 * @return
	 */

	public void setNumMaximoSupletorias(Long numMaximoSupletorias) {
		this.numMaximoSupletorias = numMaximoSupletorias;
	}

	/**
	 * Method 'getNumPlazas'.
	 *
	 * @return Long
	 */

	public Long getNumPlazas() {
		return this.numPlazas;
	}

	/**
	 * Method 'setNumPlazas'.
	 *
	 * @param numPlazas
	 *            Long
	 * @return
	 */

	public void setNumPlazas(Long numPlazas) {
		this.numPlazas = numPlazas;
	}

	/**
	 * Method 'getEdificioCatalogado'.
	 *
	 * @return Integer
	 */

	public Integer getEdificioCatalogado() {
		return this.edificioCatalogado;
	}

	/**
	 * Method 'setEdificioCatalogado'.
	 *
	 * @param edificioCatalogado
	 *            Integer
	 * @return
	 */

	public void setEdificioCatalogado(Integer edificioCatalogado) {
		this.edificioCatalogado = edificioCatalogado;
	}

	/**
	 * Method 'getNumHabMas4'.
	 *
	 * @return Long
	 */

	public Long getNumHabMas4() {
		return this.numHabMas4;
	}

	/**
	 * Method 'setNumHabMas4'.
	 *
	 * @param numHabMas4
	 *            Long
	 * @return
	 */

	public void setNumHabMas4(Long numHabMas4) {
		this.numHabMas4 = numHabMas4;
	}

	/**
	 * Method 'getNumHabMenos4'.
	 *
	 * @return Long
	 */

	public Long getNumHabMenos4() {
		return this.numHabMenos4;
	}

	/**
	 * Method 'setNumHabMenos4'.
	 *
	 * @param numHabMenos4
	 *            Long
	 * @return
	 */

	public void setNumHabMenos4(Long numHabMenos4) {
		this.numHabMenos4 = numHabMenos4;
	}

	/**
	 * Method 'getComparteViviendas'.
	 *
	 * @return Integer
	 */

	public Integer getComparteViviendas() {
		return this.comparteViviendas;
	}

	/**
	 * Method 'setComparteViviendas'.
	 *
	 * @param comparteViviendas
	 *            Integer
	 * @return
	 */

	public void setComparteViviendas(Integer comparteViviendas) {
		this.comparteViviendas = comparteViviendas;
	}

	/**
	 * Method 'getNumHabDobleCs'.
	 *
	 * @return Long
	 */

	public Long getNumHabDobleCs() {
		return this.numHabDobleCs;
	}

	/**
	 * Method 'setNumHabDobleCs'.
	 *
	 * @param numHabDobleCs
	 *            Long
	 * @return
	 */

	public void setNumHabDobleCs(Long numHabDobleCs) {
		this.numHabDobleCs = numHabDobleCs;
	}

	/**
	 * Method 'getNumApartamentos'.
	 *
	 * @return Long
	 */

	public Long getNumApartamentos() {
		return this.numApartamentos;
	}

	/**
	 * Method 'setNumApartamentos'.
	 *
	 * @param numApartamentos
	 *            Long
	 * @return
	 */

	public void setNumApartamentos(Long numApartamentos) {
		this.numApartamentos = numApartamentos;
	}

	/**
	 * Method 'getNumSuites'.
	 *
	 * @return Long
	 */

	public Long getNumSuites() {
		return this.numSuites;
	}

	/**
	 * Method 'setNumSuites'.
	 *
	 * @param numSuites
	 *            Long
	 * @return
	 */

	public void setNumSuites(Long numSuites) {
		this.numSuites = numSuites;
	}

	/**
	 * Method 'getComparteInstal'.
	 *
	 * @return Integer
	 */

	public Integer getComparteInstal() {
		return this.comparteInstal;
	}

	/**
	 * Method 'setComparteInstal'.
	 *
	 * @param comparteInstal
	 *            Integer
	 * @return
	 */

	public void setComparteInstal(Integer comparteInstal) {
		this.comparteInstal = comparteInstal;
	}

	/**
	 * Method 'getNumInstalComparte'.
	 *
	 * @return String
	 */

	public String getNumInstalComparte() {
		return this.numInstalComparte;
	}

	/**
	 * Method 'setNumInstalComparte'.
	 *
	 * @param numInstalComparte
	 *            String
	 * @return
	 */

	public void setNumInstalComparte(String numInstalComparte) {
		this.numInstalComparte = numInstalComparte;
	}

	/**
	 * Method 'getNumSupAcampada'.
	 *
	 * @return BigDecimal
	 */

	public BigDecimal getNumSupAcampada() {
		return this.numSupAcampada;
	}

	/**
	 * Method 'setNumSupAcampada'.
	 *
	 * @param numSupAcampada
	 *            BigDecimal
	 * @return
	 */

	public void setNumSupAcampada(BigDecimal numSupAcampada) {
		this.numSupAcampada = numSupAcampada;
	}

	/**
	 * Method 'getBar'.
	 *
	 * @return Integer
	 */

	public Integer getBar() {
		return this.bar;
	}

	/**
	 * Method 'setBar'.
	 *
	 * @param bar
	 *            Integer
	 * @return
	 */

	public void setBar(Integer bar) {
		this.bar = bar;
	}

	/**
	 * Method 'getRestaurante'.
	 *
	 * @return Integer
	 */

	public Integer getRestaurante() {
		return this.restaurante;
	}

	/**
	 * Method 'setRestaurante'.
	 *
	 * @param restaurante
	 *            Integer
	 * @return
	 */

	public void setRestaurante(Integer restaurante) {
		this.restaurante = restaurante;
	}

	/**
	 * Method 'getPiscina'.
	 *
	 * @return Integer
	 */

	public Integer getPiscina() {
		return this.piscina;
	}

	/**
	 * Method 'setPiscina'.
	 *
	 * @param piscina
	 *            Integer
	 * @return
	 */

	public void setPiscina(Integer piscina) {
		this.piscina = piscina;
	}

	/**
	 * Method 'getNumTotParcelas'.
	 *
	 * @return Long
	 */

	public Long getNumTotParcelas() {
		return this.numTotParcelas;
	}

	/**
	 * Method 'setNumTotParcelas'.
	 *
	 * @param numTotParcelas
	 *            Long
	 * @return
	 */

	public void setNumTotParcelas(Long numTotParcelas) {
		this.numTotParcelas = numTotParcelas;
	}

	/**
	 * Method 'getNumParcelasAnf'.
	 *
	 * @return Long
	 */

	public Long getNumParcelasAnf() {
		return this.numParcelasAnf;
	}

	/**
	 * Method 'setNumParcelasAnf'.
	 *
	 * @param numParcelasAnf
	 *            Long
	 * @return
	 */

	public void setNumParcelasAnf(Long numParcelasAnf) {
		this.numParcelasAnf = numParcelasAnf;
	}

	/**
	 * Method 'getNumParcelasAf'.
	 *
	 * @return Long
	 */

	public Long getNumParcelasAf() {
		return this.numParcelasAf;
	}

	/**
	 * Method 'setNumParcelasAf'.
	 *
	 * @param numParcelasAf
	 *            Long
	 * @return
	 */

	public void setNumParcelasAf(Long numParcelasAf) {
		this.numParcelasAf = numParcelasAf;
	}

	/**
	 * Method 'getNumParcelasSa'.
	 *
	 * @return Long
	 */

	public Long getNumParcelasSa() {
		return this.numParcelasSa;
	}

	/**
	 * Method 'setNumParcelasSa'.
	 *
	 * @param numParcelasSa
	 *            Long
	 * @return
	 */

	public void setNumParcelasSa(Long numParcelasSa) {
		this.numParcelasSa = numParcelasSa;
	}

	/**
	 * Method 'getIndicadorIa'.
	 *
	 * @return Integer
	 */

	public Integer getIndicadorIa() {
		return this.indicadorIa;
	}

	/**
	 * Method 'setIndicadorIa'.
	 *
	 * @param indicadorIa
	 *            Integer
	 * @return
	 */

	public void setIndicadorIa(Integer indicadorIa) {
		this.indicadorIa = indicadorIa;
	}

	/**
	 * Method 'getFechaControlIa'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaControlIa() {
		return this.fechaControlIa;
	}

	/**
	 * Method 'setFechaControlIa'.
	 *
	 * @param fechaControlIa
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaControlIa(Date fechaControlIa) {
		this.fechaControlIa = fechaControlIa;
	}

	/**
	 * Method 'getRequisitos'.
	 *
	 * @return String
	 */

	public String getRequisitos() {
		return this.requisitos;
	}

	/**
	 * Method 'setRequisitos'.
	 *
	 * @param requisitos
	 *            String
	 * @return
	 */

	public void setRequisitos(String requisitos) {
		this.requisitos = requisitos;
	}

	/**
	 * Method 'getNumControl'.
	 *
	 * @return Long
	 */

	public Long getNumControl() {
		return this.numControl;
	}

	/**
	 * Method 'setNumControl'.
	 *
	 * @param numControl
	 *            Long
	 * @return
	 */

	public void setNumControl(Long numControl) {
		this.numControl = numControl;
	}

	/**
	 * Method 'getFechaAntControl'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaAntControl() {
		return this.fechaAntControl;
	}

	/**
	 * Method 'setFechaAntControl'.
	 *
	 * @param fechaAntControl
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaAntControl(Date fechaAntControl) {
		this.fechaAntControl = fechaAntControl;
	}

	/**
	 * Method 'getNumHabitaciones'.
	 *
	 * @return String
	 */

	public String getNumHabitaciones() {
		return this.numHabitaciones;
	}

	/**
	 * Method 'setNumHabitaciones'.
	 *
	 * @param numHabitaciones
	 *            String
	 * @return
	 */

	public void setNumHabitaciones(String numHabitaciones) {
		this.numHabitaciones = numHabitaciones;
	}

	/**
	 * Method 'getNumResidentesPerm'.
	 *
	 * @return String
	 */

	public String getNumResidentesPerm() {
		return this.numResidentesPerm;
	}

	/**
	 * Method 'setNumResidentesPerm'.
	 *
	 * @param numResidentesPerm
	 *            String
	 * @return
	 */

	public void setNumResidentesPerm(String numResidentesPerm) {
		this.numResidentesPerm = numResidentesPerm;
	}

	/**
	 * Method 'getSupTotHabitac'.
	 *
	 * @return String
	 */

	public String getSupTotHabitac() {
		return this.supTotHabitac;
	}

	/**
	 * Method 'setSupTotHabitac'.
	 *
	 * @param supTotHabitac
	 *            String
	 * @return
	 */

	public void setSupTotHabitac(String supTotHabitac) {
		this.supTotHabitac = supTotHabitac;
	}

	/**
	 * Method 'getSupRestoDepen'.
	 *
	 * @return String
	 */

	public BigDecimal getSupRestoDepen() {
		return this.supRestoDepen;
	}

	/**
	 * Method 'setSupRestoDepen'.
	 *
	 * @param supRestoDepen
	 *            String
	 * @return
	 */

	public void setSupRestoDepen(BigDecimal supRestoDepen) {
		this.supRestoDepen = supRestoDepen;
	}

	/**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'getFechaUltmodificacion'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaUltmodificacion() {
		return this.fechaUltmodificacion;
	}

	/**
	 * Method 'setFechaUltmodificacion'.
	 *
	 * @param fechaUltmodificacion
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}

	/**
	 * Method 'getUsuarioUltmodificacion'.
	 *
	 * @return String
	 */

	public String getUsuarioUltmodificacion() {
		return this.usuarioUltmodificacion;
	}

	/**
	 * Method 'setUsuarioUltmodificacion'.
	 *
	 * @param usuarioUltmodificacion
	 *            String
	 * @return
	 */

	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * Method 'getAb6341s00s'.
	 *
	 * @return List
	 */
	@JsonIgnore
	public List<HabitacionVivienda> getListHabitacionVivienda() {
		return this.listHabitacionVivienda;
	}

	/**
	 * Method 'setAb6341s00s'.
	 *
	 * @param ab6341s00s
	 *            List
	 * @return
	 */
	public void setListHabitacionVivienda(List<HabitacionVivienda> ab6341s00s) {
		this.listHabitacionVivienda = ab6341s00s;
	}

	/**
	 * Method 'getAb6323s00s'.
	 *
	 * @return List
	 */
	@JsonIgnore
	public List<Alojamiento> getListAlojamiento() {
		return this.listAlojamiento;
	}

	/**
	 * Method 'setAb6323s00s'.
	 *
	 * @param ab6323s00s
	 *            List
	 * @return
	 */
	public void setListAlojamiento(List<Alojamiento> ab6323s00s) {
		this.listAlojamiento = ab6323s00s;
	}

	/**
	 * Method 'getAb6325s00s'.
	 *
	 * @return List
	 */
	@JsonIgnore
	public List<Aseo> getListAseo() {
		return this.listAseo;
	}

	/**
	 * Method 'setAb6325s00s'.
	 *
	 * @param ab6325s00s
	 *            List
	 * @return
	 */
	public void setListAseo(List<Aseo> ab6325s00s) {
		this.listAseo = ab6325s00s;
	}

	/**
	 * Method 'getAb6322s00s'.
	 *
	 * @return List
	 */
	@JsonIgnore
	public List<Habitacion> getListHabitacion() {
		return this.listHabitacion;
	}

	/**
	 * Method 'setAb6322s00s'.
	 *
	 * @param ab6322s00s
	 *            List
	 * @return
	 */
	public void setListHabitacion(List<Habitacion> ab6322s00s) {
		this.listHabitacion = ab6322s00s;
	}

	/**
	 * Method 'getAb6331s00s'.
	 *
	 * @return List
	 */
	@JsonIgnore
	public List<Suite> getListSuite() {
		return this.listSuite;
	}

	/**
	 * Method 'setAb6331s00s'.
	 *
	 * @param ab6331s00s
	 *            List
	 * @return
	 */
	public void setListSuite(List<Suite> ab6331s00s) {
		this.listSuite = ab6331s00s;
	}

	/**
	 * Method 'getAb6334s00s'.
	 *
	 * @return List
	 */
	@JsonIgnore
	public List<Parcela> getListParcela() {
		return this.listParcela;
	}

	/**
	 * Method 'setAb6334s00s'.
	 *
	 * @param ab6334s00s
	 *            List
	 * @return
	 */
	public void setListParcela(List<Parcela> ab6334s00s) {
		this.listParcela = ab6334s00s;
	}

	/**
	 * Method 'getAb6342s00s'.
	 *
	 * @return List
	 */
	@JsonIgnore
	public List<OtrasDependenciasVivienda> getListOtrasDependenciasVivienda() {
		return this.listOtrasDependenciasVivienda;
	}

	/**
	 * Method 'setAb6342s00s'.
	 *
	 * @param ab6342s00s
	 *            List
	 * @return
	 */
	public void setListOtrasDependenciasVivienda(List<OtrasDependenciasVivienda> ab6342s00s) {
		this.listOtrasDependenciasVivienda = ab6342s00s;
	}

	/**
	 * Method 'getAb6327s00s'.
	 *
	 * @return List
	 */
	@JsonIgnore
	public List<SalonComedor> getListSalonComedor() {
		return this.listSalonComedor;
	}

	/**
	 * Method 'setAb6327s00s'.
	 *
	 * @param ab6327s00s
	 *            List
	 * @return
	 */
	public void setListSalonComedor(List<SalonComedor> ab6327s00s) {
		this.listSalonComedor = ab6327s00s;
	}

	/**
	 * Method 'getAb6333s00s'.
	 *
	 * @return List
	 */
	public List<ZonaOcio> getListZonaOcio() {
		return listZonaOcio;
	}

	/**
	 * Method 'setAb6333s00s'.
	 *
	 * @param ab6333s00s
	 *            List
	 * @return
	 */
	public void setListZonaOcio(List<ZonaOcio> ab6333s00s) {
		this.listZonaOcio = ab6333s00s;
	}

	public DispensaEstablecimiento getDispensaEstablecimiento() {
		return dispensaEstablecimiento;
	}

	public void setDispensaEstablecimiento(DispensaEstablecimiento dispensaEstablecimiento) {
		this.dispensaEstablecimiento = dispensaEstablecimiento;
	}

	public Integer getDisponeCocina() {
		return disponeCocina;
	}

	public void setDisponeCocina(Integer disponeCocina) {
		this.disponeCocina = disponeCocina;
	}

	public Integer getDisponeSalon() {
		return disponeSalon;
	}

	public void setDisponeSalon(Integer disponeSalon) {
		this.disponeSalon = disponeSalon;
	}

	@JsonDeserialize(using = JsonBigDecimalDeserializer.class)
	public BigDecimal getSuperficieTotal() {
		return superficieTotal;
	}

	@JsonSerialize(using = JsonBigDecimalSerializer.class)
	public void setSuperficieTotal(BigDecimal superficieTotal) {
		this.superficieTotal = superficieTotal;
	}

	public String getNumDormitoriosUsuarios() {
		return numDormitoriosUsuarios;
	}

	public void setNumDormitoriosUsuarios(String numDormitoriosUsuarios) {
		this.numDormitoriosUsuarios = numDormitoriosUsuarios;
	}

	public String getNumDormitoriosResidentes() {
		return numDormitoriosResidentes;
	}

	public void setNumDormitoriosResidentes(String numDormitoriosResidentes) {
		this.numDormitoriosResidentes = numDormitoriosResidentes;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idEstablecimiento: ").append(this.idEstablecimiento).append(" ]");
		result.append(", [ fechaAnoConstruccion: ").append(this.fechaAnoConstruccion).append(" ]");
		result.append(", [ fechaAnoRenovacion: ").append(this.fechaAnoRenovacion).append(" ]");
		result.append(", [ derechoCocina: ").append(this.derechoCocina).append(" ]");
		result.append(", [ servicioComedor: ").append(this.servicioComedor).append(" ]");
		result.append(", [ numSalones: ").append(this.numSalones).append(" ]");
		result.append(", [ numSalonesComedor: ").append(this.numSalonesComedor).append(" ]");
		result.append(", [ numComedores: ").append(this.numComedores).append(" ]");
		result.append(", [ numBanyosGenerales: ").append(this.numBanosGenerales).append(" ]");
		result.append(", [ numConjuntos: ").append(this.numConjuntos).append(" ]");
		result.append(", [ numEstudios: ").append(this.numEstudios).append(" ]");
		result.append(", [ numHabDoble: ").append(this.numHabDoble).append(" ]");
		result.append(", [ numHabIndividuales: ").append(this.numHabIndividuales).append(" ]");
		result.append(", [ numMaximoSupletorias: ").append(this.numMaximoSupletorias).append(" ]");
		result.append(", [ numPlazas: ").append(this.numPlazas).append(" ]");
		result.append(", [ edificioCatalogado: ").append(this.edificioCatalogado).append(" ]");
		result.append(", [ numHabMas4: ").append(this.numHabMas4).append(" ]");
		result.append(", [ numHabMenos4: ").append(this.numHabMenos4).append(" ]");
		result.append(", [ comparteViviendas: ").append(this.comparteViviendas).append(" ]");
		result.append(", [ numHabDobleCs: ").append(this.numHabDobleCs).append(" ]");
		result.append(", [ numApartamentos: ").append(this.numApartamentos).append(" ]");
		result.append(", [ numSuites: ").append(this.numSuites).append(" ]");
		result.append(", [ comparteInstal: ").append(this.comparteInstal).append(" ]");
		result.append(", [ numInstalComparte: ").append(this.numInstalComparte).append(" ]");
		result.append(", [ numSupAcampada: ").append(this.numSupAcampada).append(" ]");
		result.append(", [ bar: ").append(this.bar).append(" ]");
		result.append(", [ restaurante: ").append(this.restaurante).append(" ]");
		result.append(", [ piscina: ").append(this.piscina).append(" ]");
		result.append(", [ numTotParcelas: ").append(this.numTotParcelas).append(" ]");
		result.append(", [ numParcelasAnf: ").append(this.numParcelasAnf).append(" ]");
		result.append(", [ numParcelasAf: ").append(this.numParcelasAf).append(" ]");
		result.append(", [ numParcelasSa: ").append(this.numParcelasSa).append(" ]");
		result.append(", [ indicadorIa: ").append(this.indicadorIa).append(" ]");
		result.append(", [ fechaControlIa: ").append(this.fechaControlIa).append(" ]");
		result.append(", [ requisitos: ").append(this.requisitos).append(" ]");
		result.append(", [ numControl: ").append(this.numControl).append(" ]");
		result.append(", [ fechaAntControl: ").append(this.fechaAntControl).append(" ]");
		result.append(", [ numHabitaciones: ").append(this.numHabitaciones).append(" ]");
		result.append(", [ numResidentesPerm: ").append(this.numResidentesPerm).append(" ]");
		result.append(", [ supTotHabitac: ").append(this.supTotHabitac).append(" ]");
		result.append(", [ supRestoDepen: ").append(this.supRestoDepen).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append(", [ fechaUltmodificacion: ").append(this.fechaUltmodificacion).append(" ]");
		result.append(", [ usuarioUltmodificacion: ").append(this.usuarioUltmodificacion).append(" ]");
		result.append("}");
		return result.toString();
	}

	public BigDecimal getNumSupCocina() {
		return numSupCocina;
	}

	public void setNumSupCocina(BigDecimal numSupCocina) {
		this.numSupCocina = numSupCocina;
	}

}
